Business transactions

This API retrieves the paginated, deduplicated enriched transactions across all of the requesting org's Books for a given business. Transactions are structurally compatible with the existing book-level enriched transactions API.

🚧

This feature is in beta!

This page discusses functionality that is in beta. You may occasionally experience unannounced changes or bugs. We'd greatly appreciate your feedback on this feature and its accompanying documentation.

👍

Tips

start_date and end_date filter transactions based on when they occurred at the bank, while updated_since filters based on when transactions were ingested into the system. Use updated_since to retrieve newly added data, even if the transaction dates are earlier.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

A universally unique identifier (UUID) of the business entity for which you want to retrieve transction details.

Query Params
integer
≥ 0

Number of transactions to skip for pagination.

integer
≥ 1

Maximum number of records to return per page, starting from the specified offset.

date

Start date in YYYY-MM-DD format from which you want to filter transactions. The system includes only transactions with a txn_date on or after the specified date.

date

End date in YYYY-MM-DD format from which you want to filter transactions. The system includes only transactions with a txn_date on or before the specified date.

date-time

Timestamp (ISO 8601) for filtering transactions ingested into the system after this time. The system uses txn_created_ts to determine the ingestion time. Use this for incremental retrieval to fetch only newly ingested transactions since your last request.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json